<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>Game</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Game";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model.trid</div>
<h2 title="Class Game" class="title">Class Game</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.trid.Game</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Game</span>
extends java.lang.Object</pre>
<div class="block">Description of a chess game.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>robert.wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#Game--">Game</a></span>()</code>
<div class="block">Creates a chess game on a board.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.Properties</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#currentFormationAsProperties--">currentFormationAsProperties</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#getLoader--">getLoader</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.Properties</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#getStartFormationAsProperties--">getStartFormationAsProperties</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#isFreeMoveMode--">isFreeMoveMode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#isRunning--">isRunning</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#isWhitePlayingParty--">isWhitePlayingParty</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#loadFormation--">loadFormation</a></span>()</code>
<div class="block">Loads a formation.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#loadGame--">loadGame</a></span>()</code>
<div class="block">Loads a game.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#logMove-de.rowlo.tridchess.model.trid.Move-">logMove</a></span>(<a href="../../../../../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a>&nbsp;move)</code>
<div class="block">Logs a move of a figure or an attack board in the match log.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#saveFormation--">saveFormation</a></span>()</code>
<div class="block">Saves the current formation.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#saveGame--">saveGame</a></span>()</code>
<div class="block">Saves the current game.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#setFreeMoveMode-boolean-">setFreeMoveMode</a></span>(boolean&nbsp;freeMoveMode)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#setWhitePlayingParty-boolean-">setWhitePlayingParty</a></span>(boolean&nbsp;isWhitePlayingParty)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#startGame--">startGame</a></span>()</code>
<div class="block">Starts a game on the board.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#startGame-java.util.Map-">startGame</a></span>(java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;figuresStartMap)</code>
<div class="block">Starts a game on the board.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#toggleFreeMoveMode--">toggleFreeMoveMode</a></span>()</code>
<div class="block">Toggle free move mode.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Game--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Game</h4>
<pre>public&nbsp;Game()</pre>
<div class="block">Creates a chess game on a board.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="startGame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startGame</h4>
<pre>public&nbsp;void&nbsp;startGame()</pre>
<div class="block">Starts a game on the board. Causes all figures to be reset to their
 initial start position.</div>
</li>
</ul>
<a name="startGame-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startGame</h4>
<pre>public&nbsp;void&nbsp;startGame(java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;figuresStartMap)</pre>
<div class="block">Starts a game on the board. Causes all figures to be reset to their
 initial start position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>figuresStartMap</code> - null, to use default start formation, otherwise map of
           formation.</dd>
</dl>
</li>
</ul>
<a name="logMove-de.rowlo.tridchess.model.trid.Move-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logMove</h4>
<pre>public&nbsp;void&nbsp;logMove(<a href="../../../../../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a>&nbsp;move)</pre>
<div class="block">Logs a move of a figure or an attack board in the match log.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>move</code> - the Move to log</dd>
</dl>
</li>
</ul>
<a name="currentFormationAsProperties--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentFormationAsProperties</h4>
<pre>public&nbsp;java.util.Properties&nbsp;currentFormationAsProperties()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current Formation as a Properties object</dd>
</dl>
</li>
</ul>
<a name="saveGame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveGame</h4>
<pre>public&nbsp;void&nbsp;saveGame()</pre>
<div class="block">Saves the current game. Does nothing if no game is running.</div>
</li>
</ul>
<a name="loadGame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadGame</h4>
<pre>public&nbsp;void&nbsp;loadGame()</pre>
<div class="block">Loads a game. Will automatically start the Game and replay all moves.</div>
</li>
</ul>
<a name="saveFormation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveFormation</h4>
<pre>public&nbsp;void&nbsp;saveFormation()</pre>
<div class="block">Saves the current formation. Does nothing if no game is running.</div>
</li>
</ul>
<a name="loadFormation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadFormation</h4>
<pre>public&nbsp;void&nbsp;loadFormation()</pre>
<div class="block">Loads a formation. Will automatically start a Game with free move mode.</div>
</li>
</ul>
<a name="isWhitePlayingParty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWhitePlayingParty</h4>
<pre>public&nbsp;boolean&nbsp;isWhitePlayingParty()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>isWhitePlayingParty</dd>
</dl>
</li>
</ul>
<a name="setWhitePlayingParty-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWhitePlayingParty</h4>
<pre>public&nbsp;void&nbsp;setWhitePlayingParty(boolean&nbsp;isWhitePlayingParty)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isWhitePlayingParty</code> - boolean</dd>
</dl>
</li>
</ul>
<a name="toggleFreeMoveMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toggleFreeMoveMode</h4>
<pre>public&nbsp;void&nbsp;toggleFreeMoveMode()</pre>
<div class="block">Toggle free move mode. While in free move mode, any party can move as many
 figures as wished.</div>
</li>
</ul>
<a name="isFreeMoveMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFreeMoveMode</h4>
<pre>public&nbsp;boolean&nbsp;isFreeMoveMode()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>freeMoveMode</dd>
</dl>
</li>
</ul>
<a name="setFreeMoveMode-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFreeMoveMode</h4>
<pre>public&nbsp;void&nbsp;setFreeMoveMode(boolean&nbsp;freeMoveMode)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>freeMoveMode</code> - boolean</dd>
</dl>
</li>
</ul>
<a name="isRunning--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRunning</h4>
<pre>public&nbsp;boolean&nbsp;isRunning()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the running</dd>
</dl>
</li>
</ul>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;getBoard()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the board</dd>
</dl>
</li>
</ul>
<a name="getLoader--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoader</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles</a>&nbsp;getLoader()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the loader</dd>
</dl>
</li>
</ul>
<a name="getStartFormationAsProperties--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getStartFormationAsProperties</h4>
<pre>public&nbsp;java.util.Properties&nbsp;getStartFormationAsProperties()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the startFormationAsProperties</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
